Upstream information

CVE-2011-4578 at MITRE

Description

event.c in acpid (aka acpid2) before 2.0.11 does not have an appropriate umask setting during execution of event-handler scripts, which might allow local users to (1) perform write operations within directories created by a script, or (2) read files created by a script, via standard filesystem system calls.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 735282 [RESOLVED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP3
  • acpid >= 1.0.6-91.25.20
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA acpid
SUSE Linux Enterprise Server 11 SP4
  • acpid >= 1.0.6-91.25.20
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA acpid